// Verilog netlist produced by program LSE :  version Diamond (64-bit) 3.12.1.454
// Netlist written on Sun Dec 25 21:22:03 2022
//
// Verilog Description of module StrobeGenerator
//

module StrobeGenerator (Clock, Reset, Strobe) /* synthesis syn_module_defined=1 */ ;   // d:/lattice/kurs06/impl1/source/strobe_generator.v(1[8:23])
    input Clock;   // d:/lattice/kurs06/impl1/source/strobe_generator.v(2[10:15])
    input Reset;   // d:/lattice/kurs06/impl1/source/strobe_generator.v(3[10:15])
    output Strobe;   // d:/lattice/kurs06/impl1/source/strobe_generator.v(4[10:16])
    
    wire Clock_c /* synthesis SET_AS_NETWORK=Clock_c, is_clock=1 */ ;   // d:/lattice/kurs06/impl1/source/strobe_generator.v(2[10:15])
    
    wire GND_net, Reset_c, Strobe_c;
    wire [3:0]Counter;   // d:/lattice/kurs06/impl1/source/strobe_generator.v(13[25:32])
    
    wire n22, n23, n24, n25, VCC_net;
    
    VLO i77 (.Z(GND_net));
    LUT4 i44_1_lut (.A(Counter[0]), .Z(n25)) /* synthesis lut_function=(!(A)) */ ;   // d:/lattice/kurs06/impl1/source/strobe_generator.v(21[18:32])
    defparam i44_1_lut.init = 16'h5555;
    LUT4 i60_3_lut_4_lut (.A(Counter[1]), .B(Counter[0]), .C(Counter[2]), 
         .D(Counter[3]), .Z(n22)) /* synthesis lut_function=(!(A (B (C (D)+!C !(D))+!B !(D))+!A !(D))) */ ;   // d:/lattice/kurs06/impl1/source/strobe_generator.v(21[18:32])
    defparam i60_3_lut_4_lut.init = 16'h7f80;
    IB Clock_pad (.I(Clock), .O(Clock_c));   // d:/lattice/kurs06/impl1/source/strobe_generator.v(2[10:15])
    TSALL TSALL_INST (.TSALL(GND_net));
    OB Strobe_pad (.I(Strobe_c), .O(Strobe));   // d:/lattice/kurs06/impl1/source/strobe_generator.v(4[10:16])
    LUT4 i53_2_lut_3_lut (.A(Counter[1]), .B(Counter[0]), .C(Counter[2]), 
         .Z(n23)) /* synthesis lut_function=(!(A (B (C)+!B !(C))+!A !(C))) */ ;   // d:/lattice/kurs06/impl1/source/strobe_generator.v(21[18:32])
    defparam i53_2_lut_3_lut.init = 16'h7878;
    GSR GSR_INST (.GSR(Reset_c));
    LUT4 i76_4_lut (.A(Counter[0]), .B(Counter[1]), .C(Counter[2]), .D(Counter[3]), 
         .Z(Strobe_c)) /* synthesis lut_function=(!((B+(C+!(D)))+!A)) */ ;   // d:/lattice/kurs06/impl1/source/strobe_generator.v(23[19:48])
    defparam i76_4_lut.init = 16'h0200;
    FD1S3IX Counter_17__i3 (.D(n22), .CK(Clock_c), .CD(Strobe_c), .Q(Counter[3]));   // d:/lattice/kurs06/impl1/source/strobe_generator.v(21[18:32])
    defparam Counter_17__i3.GSR = "ENABLED";
    LUT4 i46_2_lut (.A(Counter[1]), .B(Counter[0]), .Z(n24)) /* synthesis lut_function=(!(A (B)+!A !(B))) */ ;   // d:/lattice/kurs06/impl1/source/strobe_generator.v(21[18:32])
    defparam i46_2_lut.init = 16'h6666;
    FD1S3IX Counter_17__i0 (.D(n25), .CK(Clock_c), .CD(Strobe_c), .Q(Counter[0]));   // d:/lattice/kurs06/impl1/source/strobe_generator.v(21[18:32])
    defparam Counter_17__i0.GSR = "ENABLED";
    FD1S3IX Counter_17__i2 (.D(n23), .CK(Clock_c), .CD(Strobe_c), .Q(Counter[2]));   // d:/lattice/kurs06/impl1/source/strobe_generator.v(21[18:32])
    defparam Counter_17__i2.GSR = "ENABLED";
    FD1S3IX Counter_17__i1 (.D(n24), .CK(Clock_c), .CD(Strobe_c), .Q(Counter[1]));   // d:/lattice/kurs06/impl1/source/strobe_generator.v(21[18:32])
    defparam Counter_17__i1.GSR = "ENABLED";
    PUR PUR_INST (.PUR(VCC_net));
    defparam PUR_INST.RST_PULSE = 1;
    IB Reset_pad (.I(Reset), .O(Reset_c));   // d:/lattice/kurs06/impl1/source/strobe_generator.v(3[10:15])
    VHI i80 (.Z(VCC_net));
    
endmodule
//
// Verilog Description of module TSALL
// module not written out since it is a black-box. 
//

//
// Verilog Description of module PUR
// module not written out since it is a black-box. 
//

