module Decoder7seg(
	input      [3:0] Data,     // 4-bitowa liczba
	output reg [6:0] Segments  // Do wywietlacza
);
	
	always @(*) begin
		case(Data)
			// Opis segmentw             gfedcba
			4'h0:    Segments[6:0] = 7'b0111111;
			4'h1:    Segments[6:0] = 7'b0000110;
			4'h2:    Segments[6:0] = 7'b1011011;
			4'h3:    Segments[6:0] = 7'b1001111;
			4'h4:    Segments[6:0] = 7'b1100110;
			4'h5:    Segments[6:0] = 7'b1101101;
			4'h6:    Segments[6:0] = 7'b1111101;
			4'h7:    Segments[6:0] = 7'b0000111;
			4'h8:    Segments[6:0] = 7'b1111111;
			4'h9:    Segments[6:0] = 7'b1101111;
			4'hA:    Segments[6:0] = 7'b1110111;
			4'hB:    Segments[6:0] = 7'b1111100;
			4'hC:    Segments[6:0] = 7'b0111001;
			4'hD:    Segments[6:0] = 7'b1011110;
			4'hE:    Segments[6:0] = 7'b1111001;
			4'hF:    Segments[6:0] = 7'b1110001;
//			default: Segments[6:0] = 7'b0000000;
		endcase
	end
	
endmodule
